Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class AsyncExecute

    java.lang.Object
      org.apache.tools.ant.taskdefs.Execute
          org.openqa.selenium.server.browserlaunchers.AsyncExecute

public class AsyncExecute
extends org.apache.tools.ant.taskdefs.Execute

A handy wrapper around Ant's Execute class that can spawn a process and return the process handle so you can close it yourself later

Author:
  dfabulich

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Execute
`INVALID`

Constructor Summary
`AsyncExecute()`

Method Summary
`java.lang.Process` | `asyncSpawn()` Copied from spawn, but actually returns the Process, instead of void
`static boolean` | `isAlive(java.lang.Process p)`
`static void` | `sleepTight(long timeout)` Sleeps without explicitly throwing an InterruptedException
`static int` | `waitForProcessDeath(java.lang.Process p, long timeout)`
`static java.io.File` | `whichExec(java.lang.String exec)` Searches the path for the specified executable

Methods inherited from class org.apache.tools.ant.taskdefs.Execute
`closeStreams, execute, getCommandline, getEnvironment, getExitValue, getProcEnvironment, isFailure, killedProcess, launch, runCommand, setAntRun, setCommandline, setEnvironment, setExitValue, setNewenvironment, setSpawn, setStreamHandler, setVMLauncher, setWorkingDirectory, spawn, toString, waitFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncExecute

    public AsyncExecute()

Method Detail

### sleepTight

    public static void sleepTight(long timeout)

  Sleeps without explicitly throwing an InterruptedException

  Parameters:
    `timeout` - the amout of time to sleep
  Throws:
    `java.lang.RuntimeException` - wrapping an InterruptedException if one gets thrown

### asyncSpawn

    public java.lang.Process asyncSpawn()
                                 throws java.io.IOException

  Copied from spawn, but actually returns the Process, instead of void

  Returns:
    the spawned process handle
  Throws:
    `java.io.IOException`

### isAlive

    public static boolean isAlive(java.lang.Process p)

### waitForProcessDeath

    public static int waitForProcessDeath(java.lang.Process p,
                                          long timeout)

### whichExec

    public static java.io.File whichExec(java.lang.String exec)

  Searches the path for the specified executable

  Parameters:
    `exec` - the executable name to search for
  Returns:
    the executable, or null if the executable could not be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.